## hyprlang 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

set(HYPRLANG_VERSION "0.5.1")

project(hyprlang
    VERSION ${HYPRLANG_VERSION}
    DESCRIPTION "A library to parse hypr config files"
)

include(CTest)
include(GNUInstallDirs)

set(PREFIX ${CMAKE_INSTALL_PREFIX})
set(INCLUDE ${CMAKE_INSTALL_FULL_INCLUDEDIR})
set(LIBDIR ${CMAKE_INSTALL_FULL_LIBDIR})

configure_file(hyprlang.pc.in hyprlang.pc @ONLY)

if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
    message(STATUS "Configuring hyprlang in Debug")
    add_compile_definitions(HYPRLAND_DEBUG)
else()
    add_compile_options(-O3)
    message(STATUS "Configuring hyprlang in Release")
endif()

add_compile_definitions(HYPRLANG_INTERNAL)

set(CMAKE_CXX_STANDARD 23)

file(GLOB_RECURSE SRCFILES CONFIGURE_DEPENDS "src/*.cpp" "include/hyprlang.hpp")

add_library(hyprlang SHARED ${SRCFILES})
target_include_directories( hyprlang
    PUBLIC "./include"
    PRIVATE "./src"
)
set_target_properties(hyprlang PROPERTIES
    VERSION ${HYPRLANG_VERSION}
    SOVERSION 2
    PUBLIC_HEADER include/hyprlang.hpp)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # for std::expected.
    # probably evil. Arch's clang is very outdated tho...
    target_compile_options(hyprlang PUBLIC -std=gnu++2b -D__cpp_concepts=202002L -Wno-macro-redefined)
endif()

install(TARGETS hyprlang)

# tests
add_custom_target(tests)

add_executable(hyprlang_test "tests/parse/main.cpp")
target_link_libraries(hyprlang_test PRIVATE hyprlang)
add_test(NAME "Parsing" WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/tests COMMAND hyprlang_test "parse")
add_dependencies(tests hyprlang_test)

add_executable(hyprlang_fuzz "tests/fuzz/main.cpp")
target_link_libraries(hyprlang_fuzz PRIVATE hyprlang)
add_test(NAME "Fuzz" WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/tests COMMAND hyprlang_fuzz "fuzz")
add_dependencies(tests hyprlang_fuzz)

# Installation
install(TARGETS hyprlang
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_BINARY_DIR}/hyprlang.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
hyprlang (0.5.1-1) unstable; urgency=medium

  [ Alan M Varghese ]
  * Merge changes from Alan M Varghese. (Closes: #1065352)

  [ Mo Zhou ]
  * New upstream version 0.5.1
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Thu, 25 Apr 2024 13:32:57 -0400

hyprlang (0.5.0-1~exp1) experimental; urgency=medium

  * Initial release.

 -- Mo Zhou <lumin@debian.org>  Thu, 14 Mar 2024 00:13:23 -0400

=== debian/control ===
Source: hyprlang
Section: libdevel
Homepage: https://github.com/hyprwm/hyprlang/
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/hyprlang.git
Vcs-Browser: https://salsa.debian.org/debian/hyprlang
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake
Rules-Requires-Root: no

Package: libhyprlang-dev
Architecture: any
Depends: ${misc:Depends}, libhyprlang2 (= ${binary:Version})
Description: fast and user-friendly configuration language
 The hypr configuration language is an extremely efficient, yet easy to
 work with, configuration language for linux applications.
 .
 It's user-friendly, easy to grasp, and easy to implement.
 .
 This package contains development files.

Package: libhyprlang2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fast and user-friendly configuration language
 The hypr configuration language is an extremely efficient, yet easy to
 work with, configuration language for linux applications.
 .
 It's user-friendly, easy to grasp, and easy to implement.
 .
 This package contains the shared object.

## hyprlang 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.19)
 
-set(HYPRLANG_VERSION "0.5.1")
+set(HYPRLANG_VERSION "0.5.2")
 
 project(hyprlang
     VERSION ${HYPRLANG_VERSION}
@@ -44,6 +44,9 @@
     # for std::expected.
     # probably evil. Arch's clang is very outdated tho...
     target_compile_options(hyprlang PUBLIC -std=gnu++2b -D__cpp_concepts=202002L -Wno-macro-redefined)
+    add_compile_options(-stdlib=libc++)
+    add_link_options(-stdlib=libc++ -lc++abi)
+    message(STATUS "Using clang++ to compile hyprlang")
 endif()
 
 install(TARGETS hyprlang)

=== debian/changelog ===
hyprlang (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Mon, 17 Jun 2024 08:52:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: hyprlang
-Section: libdevel
+Section: libs
 Homepage: https://github.com/hyprwm/hyprlang/
 Priority: optional
 Standards-Version: 4.6.2
@@ -12,11 +12,12 @@
 Rules-Requires-Root: no
 
 Package: libhyprlang-dev
+Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libhyprlang2 (= ${binary:Version})
-Description: fast and user-friendly configuration language
+Description: Fast and user-friendly configuration language (dev files)
  The hypr configuration language is an extremely efficient, yet easy to
- work with, configuration language for linux applications.
+ work with, configuration language for Linux applications.
  .
  It's user-friendly, easy to grasp, and easy to implement.
  .
@@ -25,9 +26,9 @@
 Package: libhyprlang2
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: fast and user-friendly configuration language
+Description: Fast and user-friendly configuration language (library files)
  The hypr configuration language is an extremely efficient, yet easy to
- work with, configuration language for linux applications.
+ work with, configuration language for Linux applications.
  .
  It's user-friendly, easy to grasp, and easy to implement.
  .

=== debian/watch ===
version=4
opts="searchmode=html" \
  https://github.com/hyprwm/hyprlang/tags \
  https://github.com/hyprwm/hyprlang/archive/refs/tags/v(\d+.\d+.\d+)\.tar\.gz

## hyprlang 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

file(READ "${CMAKE_SOURCE_DIR}/VERSION" VER_RAW)
string(STRIP ${VER_RAW} HYPRLANG_VERSION)

project(
  hyprlang
  VERSION ${HYPRLANG_VERSION}
  DESCRIPTION "A library to parse hypr config files")

include(CTest)
include(GNUInstallDirs)

set(PREFIX ${CMAKE_INSTALL_PREFIX})
set(INCLUDE ${CMAKE_INSTALL_FULL_INCLUDEDIR})
set(LIBDIR ${CMAKE_INSTALL_FULL_LIBDIR})

configure_file(hyprlang.pc.in hyprlang.pc @ONLY)

if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
  message(STATUS "Configuring hyprlang in Debug")
  add_compile_definitions(HYPRLAND_DEBUG)
else()
  add_compile_options(-O3)
  message(STATUS "Configuring hyprlang in Release")
endif()

add_compile_definitions(HYPRLANG_INTERNAL)

set(CMAKE_CXX_STANDARD 23)

find_package(PkgConfig REQUIRED)
pkg_check_modules(deps REQUIRED IMPORTED_TARGET hyprutils>=0.1.1)

file(GLOB_RECURSE SRCFILES CONFIGURE_DEPENDS "src/*.cpp" "include/hyprlang.hpp")

add_library(hyprlang SHARED ${SRCFILES})
target_include_directories(
  hyprlang
  PUBLIC "./include"
  PRIVATE "./src")
set_target_properties(
  hyprlang
  PROPERTIES VERSION ${HYPRLANG_VERSION}
             SOVERSION 2
             PUBLIC_HEADER include/hyprlang.hpp)

target_link_libraries(hyprlang PkgConfig::deps)

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # for std::expected. probably evil. Arch's clang is very outdated tho...
  target_compile_options(hyprlang PUBLIC -std=gnu++2b -D__cpp_concepts=202002L
                                         -Wno-macro-redefined)
  add_compile_options(-stdlib=libc++)
  add_link_options(-stdlib=libc++)
  message(STATUS "Using clang++ to compile hyprlang")
endif()

add_library(hypr::hyprlang ALIAS hyprlang)
install(TARGETS hyprlang)

# tests
add_custom_target(tests)

add_executable(hyprlang_test "tests/parse/main.cpp")
target_link_libraries(hyprlang_test PRIVATE hypr::hyprlang)
add_test(
  NAME "Parsing"
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/tests
  COMMAND hyprlang_test "parse")
add_dependencies(tests hyprlang_test)

add_executable(hyprlang_fuzz "tests/fuzz/main.cpp")
target_link_libraries(hyprlang_fuzz PRIVATE hypr::hyprlang)
add_test(
  NAME "Fuzz"
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/tests
  COMMAND hyprlang_fuzz "fuzz")
add_dependencies(tests hyprlang_fuzz)

# Installation
install(
  TARGETS hyprlang
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_BINARY_DIR}/hyprlang.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
hyprlang (0.6.0-1build1) questing; urgency=medium

  * No-change rebuild for libhyprutils6.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 07 Aug 2025 12:10:00 +0000

hyprlang (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 02 Mar 2025 07:01:58 +0000

hyprlang (0.5.2-2) unstable; urgency=medium

  * Update to new standards version 4.7.0

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 22 Sep 2024 08:16:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: libs
 Homepage: https://github.com/hyprwm/hyprlang/
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/hyprlang.git
 Vcs-Browser: https://salsa.debian.org/debian/hyprlang
 Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               cmake
+               cmake,
+               libhyprutils-dev (>= 0.1.1),
+               pkgconf
 Rules-Requires-Root: no
 
 Package: libhyprlang-dev

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

## hyprlang 0.6.4

=== debian/changelog ===
hyprlang (0.6.4-0.1) unstable; urgency=medium

  * Non-maintainer upload
  [ Carl Keinath ]
  * add gbp conf
  * simplified watch file
  * cleanup d/u/metadata
  * added ci config
  * cleanup d/rules
  * folded package deps in d/control
  * updated copyright
  * removed trailing whitespaces

  [ Chow Loong Jin ]
  * New upstream version 0.6.4 (Closes: #1106521)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 29 Sep 2025 11:36:27 +0800

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,9 @@
 Package: libhyprlang-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhyprlang2 (= ${binary:Version})
+Depends:
+ ${misc:Depends},
+ libhyprlang2 (= ${binary:Version}),
 Description: Fast and user-friendly configuration language (dev files)
  The hypr configuration language is an extremely efficient, yet easy to
  work with, configuration language for Linux applications.
@@ -27,7 +29,9 @@
 
 Package: libhyprlang2
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Fast and user-friendly configuration language (library files)
  The hypr configuration language is an extremely efficient, yet easy to
  work with, configuration language for Linux applications.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/hyprwm/hyprlang/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## hyprlang 0.6.7

=== debian/changelog ===
hyprlang (0.6.7-1) unstable; urgency=medium

  * Salvage package (Closes: #1120926)
  * New upstream version 0.6.7 (Closes: #1120720)
  * d/control:
    - Update maintainer to Debian Hyprland team
    - Make indentation of multi-line fields consistent

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 10 Dec 2025 11:18:42 +0800

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,16 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/hyprlang.git
 Vcs-Browser: https://salsa.debian.org/debian/hyprlang
-Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
-Uploaders: Mo Zhou <lumin@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               libhyprutils-dev (>= 0.1.1),
-               pkgconf
+Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
+Uploaders:
+ Alan M Varghese (NyxTrail) <alan@digistorm.in>,
+ Carl Keinath <carl.keinath@gmail.com>,
+ Chow Loong Jin <hyperair@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ libhyprutils-dev (>= 0.1.1),
+ pkgconf
 Rules-Requires-Root: no
 
 Package: libhyprlang-dev

## hyprlang 0.6.8

=== debian/changelog ===
hyprlang (0.6.8-2) unstable; urgency=medium

  * add upstream-tests to autopkgtest-suite
  * bump Standards-Version to 4.7.3
  * d/control:
    - remove obsolete Priority:
    - set minimum required version of hyprutils to >= 0.7.1

 -- Carl Keinath <carl.keinath@gmail.com>  Tue, 06 Jan 2026 11:57:02 +0800

hyprlang (0.6.8-1) unstable; urgency=medium

  [ Carl Keinath ]
  * d/control: updated Vcs-* fields
  * d/control: remove Rules-Requires-Root: no

  [ Chow Loong Jin ]
  * New upstream version 0.6.8

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 06 Jan 2026 11:21:52 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: hyprlang
 Section: libs
 Homepage: https://github.com/hyprwm/hyprlang/
-Priority: optional
-Standards-Version: 4.7.2
-Vcs-Git: https://salsa.debian.org/debian/hyprlang.git
-Vcs-Browser: https://salsa.debian.org/debian/hyprlang
+Standards-Version: 4.7.3
+Vcs-Git: https://salsa.debian.org/hyprland-team/hyprlang.git
+Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprlang
 Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
 Uploaders:
  Alan M Varghese (NyxTrail) <alan@digistorm.in>,
@@ -13,9 +12,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libhyprutils-dev (>= 0.1.1),
+ libhyprutils-dev (>= 0.7.1),
  pkgconf
-Rules-Requires-Root: no
 
 Package: libhyprlang-dev
 Section: libdevel
